# Class yii\web\JsExpression

Inheritance | yii\web\JsExpression » yii\base\BaseObject
Implements | yii\base\Configurable
Available since version | 2.0
Source Code | https://github.com/yiisoft/yii2/blob/master/framework/web/JsExpression.php

JsExpression marks a string as a JavaScript expression.

When using yii\helpers\Json::encode() or yii\helpers\Json::htmlEncode() to encode a value, JsonExpression objects will be specially handled and encoded as a JavaScript expression instead of a string.

## Public Properties

Hide inherited properties

Property | Type | Description | Defined By
--- | --- | --- | ---
$expression | string | The JavaScript expression represented by this object | yii\web\JsExpression

## Public Methods

Hide inherited methods

Method | Description | Defined By
--- | --- | ---
__call() | Calls the named method which is not a class method. | yii\base\BaseObject
__construct() | Constructor. | yii\web\JsExpression
__get() | Returns the value of an object property. | yii\base\BaseObject
__isset() | Checks if a property is set, i.e. defined and not null. | yii\base\BaseObject
__set() | Sets value of an object property. | yii\base\BaseObject
__toString() | The PHP magic function converting an object into a string. | yii\web\JsExpression
__unset() | Sets an object property to null. | yii\base\BaseObject
canGetProperty() | Returns a value indicating whether a property can be read. | yii\base\BaseObject
canSetProperty() | Returns a value indicating whether a property can be set. | yii\base\BaseObject
className() | Returns the fully qualified name of this class. | yii\base\BaseObject
hasMethod() | Returns a value indicating whether a method is defined. | yii\base\BaseObject
hasProperty() | Returns a value indicating whether a property is defined. | yii\base\BaseObject
init() | Initializes the object. | yii\base\BaseObject

## Property Details

$expression public property

The JavaScript expression represented by this object

public string $expression = null

## Method Details

__construct() public method

Constructor.

public void __construct ( $expression, $config = [] )
$expression | string | The JavaScript expression represented by this object
$config | array | Additional configurations for this object

__toString() public method

The PHP magic function converting an object into a string.

public string __toString ( )
return | string | The JavaScript expression.